<template>
    <view class="share-buy-success">
        <!-- 拼单信息 && 拼单成功 -->
        <view class="message">恭喜您拼单成功！</view>
        <share-buy-member-info
            :hasShopInfo="false"
            :memberNum="collageData.memberNum"
            :existNum="collageData.existNum"
            :shopInfo="collageData"
        ></share-buy-member-info>
        <view class="control">
            <tui-button type="base" width="600rpx" height="90rpx" shape="circle" :size="30" @click="handleToHome">
                <text>去首页逛逛</text>
            </tui-button>
            <view class="line"></view>
            <tui-button
                type="base"
                width="600rpx"
                height="90rpx"
                shape="circle"
                :plain="true"
                :size="30"
                @click="handleToOrderDetail"
            >
                <text>查看订单详情</text>
            </tui-button>
        </view>
    </view>
</template>

<script>
export default {
    data() {
        return {
            collageData: {}
        }
    },
    onLoad() {
        this.collageData = uni.getStorageSync('SHARE_BUY_COLLAGE_DATA')
    },
    beforeDestroy() {
        uni.removeStorageSync('SHARE_BUY_COLLAGE_DATA')
    },
    methods: {
        // 去首页
        handleToHome() {
            this.$router.switchTab('home')
        },
        // 查看订单详情
        handleToOrderDetail() {
            this.$router.navigateTo('order/order-detail?orderId=' + this.collageData.orderId)
        }
    }
}
</script>

<style lang="scss" scoped>
.share-buy-success {
    background-color: #fff;
    padding: 32rpx 0;

    .message {
        font-size: 34rpx;
        color: #ff457b;
        font-weight: bold;
        text-align: center;
    }

    .control {
        @extend .cm-flex-center;
        flex-direction: column;

        .line {
            height: 24rpx;
        }
    }
}
</style>
